Plugin errors - events+, google maps

Errors I've found thus far are below.

Events + on event page
"Strict standards: Only variables should be passed by reference in [...]\wp-content\plugins\events-and-bookings\events-and-bookings.php on line 482"

Google maps on plugin list page:
"The called constructor method for WP_Widget is deprecated since version 4.3.0! Use

__construct()
instead"